#![no_std]

mod registers;

use embedded_hal::blocking::i2c::{Read, Write, WriteRead};
use embedded_hal::prelude::*;
use embedded_time::rate::Extensions;

/// 7-bit unshifted default I2C Address
const QWIIC_TWIST_ADDR: u8 = 0x3F;

pub struct QwiicTwist<I2C> {
    i2c: I2C,
    address: u8,
}

impl<I2C, E> QwiicTwist<I2C>
where
    I2C: Read<Error = E> + Write<Error = E> + WriteRead<Error = E>,
{
    pub fn new(i2c: I2C, address: u8) -> Self {
        Self { i2c, address }
    }

    fn read_register(address: u8) -> u8 {
        todo!()
    }
    fn read_register_16(address: u8) -> u16 {
        todo!()
    }

    fn write_register(address: u8, value: u8) {
        todo!()
    }
    fn write_register_16(address: u8, value: u16) {
        todo!()
    }
    fn write_register_24(address: u8, value: u32) {
        todo!()
    }

    pub fn read_temperature(&mut self) -> Result<u8, E> {
        let mut temp = [0];
        self.i2c
            .write_read(self.address, &[0x78], &mut temp)
            .and(Ok(temp[0]))
    }
}
