/// Map to the various registers on the Twist

const TWIST_ID: u8 = 0x00;

/// - 2 - button clicked
/// - 1 - button pressed
/// - 0 - encoder moved
const TWIST_STATUS: u8 = 0x01;
const TWIST_VERSION: u8 = 0x02;

/// - 1 - button interrupt
/// - 0 - encoder interrupt
const TWIST_ENABLE_INTS: u8 = 0x04;

const TWIST_COUNT: u8 = 0x05;
const TWIST_DIFFERENCE: u8 = 0x07;
/// Milliseconds since the last movement of the knob
const TWIST_LAST_ENCODER_EVENT: u8 = 0x09;
/// Milliseconds since the last press/release
const TWIST_LAST_BUTTON_EVENT: u8 = 0x0B;

const TWIST_RED: u8 = 0x0D;
const TWIST_GREEN: u8 = 0x0E;
const TWIST_BLUE: u8 = 0x0F;

/// Amount to change the red LED for each encoder tick
const TWIST_CONNECT_RED: u8 = 0x10;
/// Amount to change the green LED for each encoder tick
const TWIST_CONNECT_GREEN: u8 = 0x12;
/// Amount to change the blue LED for each encoder tick
const TWIST_CONNECT_BLUE: u8 = 0x14;

const TWIST_TURN_INT_TIMEOUT: u8 = 0x16;
const TWIST_CHANGE_ADDRESS: u8 = 0x18;
const TWIST_LIMIT: u8 = 0x19;
